
From: Anton Blanchard <anton@samba.org>

We were missing the sched_balance_exec call.  Could explain some NUMA
scheduling weirdness we were seeing.



---

 arch/ppc64/kernel/sys_ppc32.c |    2 ++
 1 files changed, 2 insertions(+)

diff -puN arch/ppc64/kernel/sys_ppc32.c~ppc64-missing-sched_balance_exec arch/ppc64/kernel/sys_ppc32.c
--- 25/arch/ppc64/kernel/sys_ppc32.c~ppc64-missing-sched_balance_exec	2004-01-21 21:56:22.000000000 -0800
+++ 25-akpm/arch/ppc64/kernel/sys_ppc32.c	2004-01-21 21:56:22.000000000 -0800
@@ -2011,6 +2011,8 @@ static int do_execve32(char * filename, 
 	int retval;
 	int i;
 
+	sched_balance_exec();
+
 	file = open_exec(filename);
 
 	retval = PTR_ERR(file);

_
